# Overview

WebSphere Application Server Base

WebSphere Application Server is a proven, high-performance transaction engine that can help build, run, integrate, and manage dynamic web applications.
For details on IBM Websphere Application Server please visit "http://www-03.ibm.com/software/products/en/appserv-was".


# Usage

Download your licensed IBM Installation Manager software version 1.5 and above and upload to your apache repository.

Download your licensed IBM Websphere Base software 8.5.5.0 version and upload to your apache repository.

Download your licensed IBM Websphere Base software WAS fixpack version 8.5.5.4 and upload to your apache repository.

Put up all the downloaded contents on the web server like Apache and configure apache to serve these packages. These packages can be accessed using a URL from the web server.


#Creating the repositories in Apache

Run steps below with admin access

Install needed packages
    apt-get install dpkg-dev apache2

Create the repository on apache server Under your apache repository directory.
Configure apache server to allow access to the repository.

To install IBM Websphere Application Server Base you need to install IBM Installation Manager software as prerequisite.
To install IBM Installation Manager you need to get the packages for ubuntu, for information about the software and builds please visit (http://www-01.ibm.com/software/passportadvantage/).

To install the downloaded binaries you must agree to the IBM license. You can view the full license for IBM Installation Manager and IBM WebSphere Application Server Base by visiting the [Software license agreements search website](http://www-03.ibm.com/software/sla/sladb.nsf/search). Search for "IBM Installation Manager" and "IBM Websphere Application Server" and choose the license that applies to the version you are using.


Run the following to deploy this charm:

    juju deploy was-base

At this point the charm will wait until the user accepts the license.  If you 
agree to the license, run the following command:

If the was_url and im_filename is configured in the config.yaml:

    juju set was-base accept-ibm-im-license=True accept-ibm-websphere-license=True

If not,

    juju set was-base accept-ibm-im-license=True accept-ibm-websphere-license=True was_url=<Web server URL> im_file_name=<IM package name> im_install_path=<IM Installation Path>


You can then browse to "http://was-base unit's ip-address:9060/ibm/cinsole" to view WAS Console. 


# Configuration

`accept-ibm-im-license`  
The IBM Installation Manager software comes with special terms and conditions from IBM.
The IBM Installation Manager software can only be used by accepting the terms and 
conditions found in the IBM-Installation-Manager-license.txt file.  

Setting this option to True indicates that you have read and accept the 
IBM  Installation Manager terms and conditions found in the license file.  
The license file(s) can be found in the product binaries you downloaded. 

`accept-ibm-websphere-license`
Before you can use, extract, or install IBM WebSphere Application Server
for Developers V8.5.5, you must accept the terms of International License
Agreement for Non-Warranted Programs and additional license information.
Please read the license agreement carefully.

Check the Usage section on getting the license agreement.

**The WebSphere software cannot be installed until the terms and
contions are accepted.  The charm will not function correctly until the
this configuration option is set to True.**

`was_url`
The web server URL from which IBM IM, IBM WAS Base and fixpack packages can be downloaded.

`im_install_path`
Install Location for Installation Manager. Ex : "/opt/IBM/InstallationManager". Here IM will install at this location, It can be changed if IM needs to be installed at some other place.
 

`im_file_name`
The IBM Installation Manager Package name. If not set, It is assigned the value "Install_Mgr_v1.6.2_Lnx_WASv8.5.5.zip" for x86_64 based machine.

`sha_im`
Checksum value to check integrity of IBM Installation Manager package. The Charm uses sha1sum to check the integrity. If empty, it does not carry out the integrity check. Use `sha1sum <Package Location/Package Name> | cut -d" " -f1` to find out Checksum value for downloaded package. Cryptographic value should be altered by the user only when the package name is change. Else it should not be altered.

#IBM WAS Base Information

(1) General Information 
Information on IBM WAS available at the [WAS Infocenter] (http://www-01.ibm.com/support/knowledgecenter/SSAW57_8.5.5/as_ditamaps/was855_welcome_ndmp.html?lang=en).

(2) Download Information
Information on procuring WAS product is available at the [Passport Advantage Site](http://www-01.ibm.com/software/passportadvantage/).

Refer this URL for WAS 8.5.5.0 download (http://www-01.ibm.com/support/docview.wss?uid=swg27038625).

Refer this URL for WAS 8.5.5.4 fixpack download (http://www-01.ibm.com/support/docview.wss?uid=swg24038539).

A trial version is available [here] ( http://www.ibm.com/developerworks/downloads/ws/was/index.html).

Refer this URL for more information about Downloadable files (http://www-01.ibm.com/support/docview.wss?uid=swg24038380).

(3) Contact Information

For issues with this charm, please contact jujusupp@us.ibm.com
